/* Estilos para a barra de abas */
::-webkit-scrollbar {
    display: none;
    /* Oculta a barra de rolagem */
}

* {
    padding: 0;
    margin: 0;
    font-family: 'Quicksand';
}

/*---------------------------------- Cabeçalho ---------------------------------*/

.header {
    background-color: #dfdcd1;
    /* Cor do fundo do cabeçalho */
    text-align: center;
    /* Centraliza o texto */
    padding: 10px;
    /* Espaçamento interno do cabeçalho */
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.header p {
    left: 10%;
    position: absolute;
    font-size: 20px;
    color: #3A4A40;
    letter-spacing: 1px;
}

.icon-button {
    background: transparent;
    /* Fundo transparente */
    border: none;
    /* Sem borda */
    color: white;
    /* Cor do ícone */
    font-size: 40px;
    /* Tamanho do ícone */
    cursor: pointer;
    /* Cursor de ponteiro ao passar o mouse */
    margin-left: 40px;
    /* Espaçamento à esquerda do ícone */
}

#instagram-button {
    position: relative;
    color: #3A4A40;
    transition: transform 0.3s ease;
    right: 1;
    margin-right: 10px;
}

#instagram-button:hover {
    transform: scale(1.1);
}

.back-button {
    text-decoration: none;
    color: #3A4A40;
    font-size: 18px;
    border: 1px solid #3A4A40;
    display: inline-block;
    transition: transform 0.2s ease;
    background-color: transparent;
    padding: 10px;
    cursor: pointer;
    letter-spacing: 1px;
}

.back-button:hover {
    transform: scale(1.1);
    /* Aumenta o tamanho do botão em 10% */
}

/*---------------------------------- Abas ---------------------------------*/

.click-info {
    display: flex;
    font-family: 'Quicksand';
    gap: 5px;
    transform: translateX(40%);
    margin-top: 5px;
    margin-bottom: 5px;
    font-size: 12px;
    align-items: center;
}

.tabs {
    display: flex;
    justify-content: center;
    width: 100%;

}

.tab-link {
    background-color: #3A4A40;
    border-color: transparent;
    padding: 10px 20px;
    cursor: pointer;
    font-size: 15px;
    transition: background-color 0.3s;
    display: block;
    width: 100%;
    color: white
}

.tab-link:hover {
    background-color: white;
    color: black;
}

/* A aba ativa tem um destaque */
.tab-link.active {
    background-color: white;
    border-bottom: 2px solid white;
    color: black;
}

/* Esconde os conteúdos das abas que não estão ativas */
.tab-content {
    display: none;
    opacity: 0;
    transition: visibility 0s, opacity 0.3s linear;
}

.tab-content>* {
    margin-top: 0;
}

/* Exibe o conteúdo da aba ativa */
.tab-content.active {
    display: block;
    opacity: 1;
    height: 0;
}

.gallery {
    column-count: 6;
    /* Número de colunas */
    column-gap: 2px;
    /* Espaçamento entre as colunas */
}

#gallery-adega {
    display: flex;
}

#gallery-circ {
    column-count: 3;
}

#gallery-portas {
    column-count: 5;
}

#gallery-salas {
    column-count: 4;
}

.gallery img {
    width: 100%;
    height: 400px;
    object-fit: cover;
    border-radius: 5px;
    transition: transform 0.2s ease;
    cursor: pointer;
}

.gallery img:hover {
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.3);
    transform: scale(1.02);
}

.modal {
    display: flex;
    /* Escondido por padrão */
    position: fixed;
    z-index: 1001;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.8);
    /* Fundo escurecido */
    justify-content: center;
    align-items: center;
    display: none;
}

.modal-content {
    position: relative;
    max-width: 90%;
    max-height: 90%;
}

.modal-content img {
    width: auto;
    height: auto;
    border-radius: 5px;
    max-width: 90vw;
    /* Até 90% da largura da viewport */
    max-height: 90vh;
    /* Até 90% da altura da viewport */
}

/* Botão de fechar */
.close {
    position: absolute;
    top: 20px;
    right: 20px;
    color: white;
    font-size: 30px;
    font-weight: bold;
    cursor: pointer;
}

/* Botões de navegação */
.prev,
.next {
    height: 90vh;
    width: 25vh;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    font-size: 2rem;
    color: white;
    background-color: rgba(0, 0, 0, 0.3);
    border: none;
    padding: 10px;
    cursor: pointer;
    border-radius: 5px;
    z-index: 2;
    /* Garante que fiquem acima da imagem */
}

.prev {
    left: 60px;
    /* Ajuste a distância conforme necessário */
}

.next {
    right: 60px;
    /* Ajuste a distância conforme necessário */
}

.prev:hover,
.next:hover {
    background-color: rgba(0, 0, 0, 0.7);
}

/* --------------------------------- Catálogos --------------------------------------*/

.thumbnail {
    cursor: pointer;
    width: 220px;
    height: auto;
    border-radius: 10px;
    box-shadow: 0 1px 5px #303030;
}

.thumbnail:hover {
    transform: scale(1.05);
}

.thumbnail-text-container {
    display: flex;
    background-color: #3A4A40;
    justify-content: center;
    width: 100%;
    padding: 20px;
    color: white;
    font-size: 22px;
    letter-spacing: 1px;
    padding-top: 30px;
}

.thumbnail-text-container p {
    padding-right: 10px;
}

.thumbnail-container {
    display: flex;
    /* Usando flexbox */
    flex-wrap: wrap;
    /* Permite que as miniaturas quebrem para a próxima linha, se necessário */
    justify-content: space-evenly;
    /* Espaço igual entre as miniaturas */
    align-items: center;
    /* Alinha as miniaturas no centro verticalmente */
    background-color: #3A4A40;
    /* Cor de fundo do container */
    padding: 10px;
    padding-top: 10px;
    padding-bottom: 30px;
    margin-bottom: 20px;
    /* Padding interno para o container */
}

/*--------------------------------- Sobreposição ---------------------------------*/

.button-container {
    flex-direction: column;
    display: flex;
    position: fixed;
    z-index: 1000;
}

#scrollToTop {
    position: fixed;
    bottom: 80px;
    right: 20px;
    padding: 10px;
    width: 40px;
    height: 40px;
    background-color: #3A4A40;
    color: white;
    border: none;
    border-radius: 50%;
    cursor: pointer;
    z-index: 1000;
    /* Certifique-se de que o botão esteja acima de outros elementos */
    box-shadow: 0 1px 5px #3A4A40;
    transition: transform 0.3s ease;
}

#scrollToTop:hover {
    transform: scale(1.1);
}

#whatsapp-button {
    position: fixed;
    bottom: 20px;
    right: 20px;
    padding: 10px;
    width: 50px;
    height: 50px;
    background-color: white;
    color: #3A4A40;
    border: none;
    border-radius: 50%;
    cursor: pointer;
    z-index: 1000;
    /* Certifique-se de que o botão esteja acima de outros elementos */
    box-shadow: 0 1px 5px #303030;
    font-size: 25px;
}

#whatsapp-button:hover {
    background-color: #3A4A40;
    color: white;
}


/*--------------------------------- Ultima seção ---------------------------------*/

.content-section {
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #dfdcd1;
    text-align: center;
}

.parte-esquerda {
    flex: 55%;
    background-color: #525050;
    padding: 20px;
    height: 100vh;
}

.parte-esquerda #instagram-button {
    color: white
}

#titulo {
    font-size: 30px;
    color: white;
    letter-spacing: 5px;
    padding-top: 50px;
    transform: translateX(-9%);
}

#titulo2 {
    font-size: 30px;
    color: white;
    letter-spacing: 5px;
    padding-top: 90px;
    transform: translateX(-24%);
}

#subtitulo {
    font-size: 26px;
    color: white;
    text-align: left;
    margin-left: 50px;
    margin-bottom: 10px;
}

#texto-coluna {
    font-size: 18px;
    color: #dfdcd1;
    text-align: left;
    margin-left: 20px;
}

.container-coluna {
    column-gap: 50px;
    column-count: 2;
    padding-top: 100px;
    margin-bottom: 50px;
}

.parte-direita {
    flex: 45%;
    /* Coluna direita menor */
    background-image: url('../assets/images/aerea_fabrica.JPEG');
    /* Imagem será aplicada aqui */
    background-size: cover;
    /* Para cobrir toda a coluna */
    padding: 20px;
    color: white;
    /* Cor do texto, caso necessário */
    height: 100vh;
    background-position: 20%;
}

.icon-button {
    background: transparent;
    /* Fundo transparente */
    border: none;
    /* Sem borda */
    color: white;
    /* Cor do ícone */
    font-size: 40px;
    /* Tamanho do ícone */
    cursor: pointer;
    /* Cursor de ponteiro ao passar o mouse */
    margin-left: 40px;
    /* Espaçamento à esquerda do ícone */
}


/*--------------------------------------- Para dispositivos Móveis ---------------------------------- */




/**-----------------------------------------------------------------------------------------------------*/

@media screen and (max-width: 768px) {

    html,
    body {
        overflow-x: hidden;
        max-width: 100%;
        /* Garante que o conteúdo não ultrapasse a largura da viewport */
    }


    /* Ajusta a tab bar em telas menores */
    .tabs {
        display: flex;
        overflow-x: auto;
        white-space: nowrap;
        justify-content: flex-start;
    }

    .tab-link {
        padding: 10px 20px;
        font-size: 20px;
    }

    .tab-content {
        height: 100%;
    }

    .tab-content.active {
        height: 100%;
    }

    .click-info {
        transform: translateX(20%);
    }

    .header p {
        position: relative;
        margin-right: 80px;
    }

    .gallery {
        column-count: 2;
        width: 100%;
    }

    #gallery-adega {
        display: flex;
        flex-direction: column;
    }

    #gallery-circ {
        column-count: 2;
    }

    #gallery-portas {
        column-count: 2;
    }

    #gallery-salas {
        column-count: 2;
    }

    .gallery img {
        border-radius: 0;
    }

    .thumbnail-container {
        display: flex;
        flex-wrap: nowrap;
        overflow-x: auto;
        white-space: nowrap;
        justify-content: flex-start;
        align-items: start;
        height: 60vh;
    }

    .thumbnail {
        margin: 20px;
    }

    .prev,
    .next {
        height: 20vh;
        width: 15vh;
        bottom: 1;
        top: 90%;
    }

    /*--------------------------- Última seção --------------------------*/

    #last-section {
        display: flex;
        flex-direction: column;
    }

    .parte-esquerda,
    .parte-direita {
        flex: none;
        /* Remove o flex de proporção */
        width: 100%;
        /* Ocupa toda a largura da tela */
        height: auto;
        /* Ajusta a altura conforme o conteúdo */
    }

    .parte-esquerda {
        display: flex;
        flex-direction: column;
        /* Empilha os elementos verticalmente */
        align-items: flex-start;
        /* Alinha o conteúdo à esquerda */
        padding: 20px;
    }

    #titulo,
    #titulo2,
    #subtitulo,
    #texto-coluna {
        transform: translateX(0);
        /* Remove o deslocamento horizontal */
        margin-left: 20px;
        /* Remove margens adicionais */
        width: 100%;
        /* Garante que ocupe a largura disponível */
        margin-bottom: 20px;
    }

    #titulo {
        margin-left: 0;
    }

    #titulo2 {
        margin-left: 0;
    }

    #texto-coluna {
        font-size: 20px;
    }

    .container-coluna {
        column-count: 1;
        /* Altera para uma única coluna */
        padding-top: 20px;
        margin-bottom: 20px;
    }

    .parte-direita {
        background-position: center;
        /* Ajusta a posição da imagem */
        height: 200px;
        /* Define uma altura específica para a imagem */
    }

    .parte-esquerda #instagram-button {
        font-size: 50px;
    }

    /*---------------------------------- Sobreposição -------------------------------*/

    #scrollToTop {
        margin-bottom: 10px;
    }

    #whatsapp-button {
        font-size: 30px;
        width: 65px;
        height: 65px;
    }

}

/*--------------------------------------- 1080p ---------------------------------- */




/**----------------------------------------------------------------------------------*/

@media screen and (min-width: 1980px) and (max-width: 2559px) {

    /* ------------------------ Header --------------------------*/

    .header p {
        font-size: 40px;
    }

    .icon-button {
        font-size: 60px;
    }

    .back-button {
        font-size: 28px;
    }

    /*---------------------------------- Abas ---------------------------------*/

    .click-info {
        font-size: 22px;
    }

    .tab-link {
        font-size: 25px;
    }

    .gallery img {
        height: 600px;
    }

    /* ----------------------- Catálogos -------------------------*/

    .thumbnail {
        width: 300px;
    }


    /*--------------------- Última seção ----------------------- */

    #titulo {
        font-size: 40px;
        margin-top: 50px;
    }

    #titulo2 {
        font-size: 40px;
    }

    #subtitulo {
        font-size: 42px;
    }

    #texto-coluna {
        font-size: 30px;
    }

    /*--------------------- Sobreposição ----------------------- */

    #scrollToTop {
        right: 30%;
        bottom: 120px;
        width: 70px;
        height: 70px;
        font-size: 25px;
    }

    #whatsapp-button {
        right: 30%;
        width: 90px;
        height: 90px;
        font-size: 50px;
    }

}

/*--------------------------------------- 4k ---------------------------------- */




/**----------------------------------------------------------------------------------*/

@media screen and (min-width: 2560px) {

    /* ------------------------ Header --------------------------*/

    .header p {
        font-size: 50px;
    }

    .icon-button {
        font-size: 70px;
    }

    .back-button {
        font-size: 38px;
    }

    /*---------------------------------- Abas ---------------------------------*/

    .click-info {
        font-size: 32px;
    }

    .tab-link {
        font-size: 35px;
    }

    .gallery img {
        height: 800px;
    }

    /* ----------------------- Catálogos -------------------------*/

    .thumbnail {
        width: 400px;
    }


    /*--------------------- Última seção ----------------------- */

    #titulo {
        font-size: 50px;
        margin-top: 50px;
    }

    #titulo2 {
        font-size: 50px;
    }

    #subtitulo {
        font-size: 52px;
    }

    #texto-coluna {
        font-size: 40px;
    }

    /*--------------------- Sobreposição ----------------------- */

    #scrollToTop {
        right: 30%;
        bottom: 120px;
        width: 70px;
        height: 70px;
        font-size: 25px;
        position: fixed;
    }

    #whatsapp-button {
        position: fixed;
        right: 30%;
        width: 90px;
        height: 90px;
        font-size: 50px;
    }

}




